Perform various operations for Symitar parameters.
Operations
searchDivIndexLocalPagedSelectFields
POST
Search DivIndexLocal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
QuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/parameter/searchDivIndexLocalPagedSelectFieldsPOST /nexum/627/2022.01/parameter/searchDivIndexLocalPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"BranchId": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"Query": "string",
"SelectableFields": {
"DivIndexLocalFields": {
"DividendIndexTable": true,
"Description": true
}
}
}updateDivIndexLocalByID
POST
Update DivIndexLocal parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
DivIndexLocalDividendIndexTableintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateDivIndexLocalByIDPOST /nexum/627/2022.01/parameter/updateDivIndexLocalByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DivIndexLocalDividendIndexTable": 0,
"DivIndexLocalUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}